<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class CatalogProductImageTypeEnum
{
    public const MAIN = 1;
    public const CATALOG = 2;
    public const GALLERY = 3;
    public const DESCRIPTION = 4;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::MAIN,
            self::CATALOG,
            self::GALLERY,
            self::DESCRIPTION,
        ];
    }
}
